> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile

Updates the current user's profile information.


## OpenAPI

````yaml POST /api/v1/me
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/v1/me:
    post:
      tags:
        - User Profile
      summary: Update user profile
      operationId: post-me
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserUpdate'
      responses:
        '200':
          description: Profile updated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              examples:
                success:
                  value:
                    message: Profile updated successfully
        '401':
          description: Unauthorized
      security:
        - bearerAuth: []
components:
  schemas:
    UserUpdate:
      type: object
      properties:
        name:
          type: string
        surname:
          type: string
        jobTitle:
          type: string
        city:
          type: string
        country:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````